Bug 730435 - virt-install slows down the installation and hangs forever when ks= extra-args is given
Summary: virt-install slows down the installation and hangs forever when ks= extra-arg...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-virtinst
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 6.1
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 22:29 UTC by Gurhan Ozen
Modified: 2011-10-18 23:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-18 23:36:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gurhan Ozen 2011-08-12 22:29:39 UTC
Description of problem:
This is a weird issue. For example this works fine:
virt-install  --name GuestOne_nogfx --location nfs://bigpapi.bos.redhat.com:/vol/engarchive2/redhat/released/RHEL-6/6.1/Server/i386/os --ram=1024 --vcpus=1 --file-size=8 --hvm --debug --prompt --accelerate --os-variant=virtio26 --network bridge:br0 --file /var/lib/libvirt/images/GuestOne_nogfx.img --noreboot --nographics --extra-args "console=tty0 console=ttyS0,115200"

(only serial console is given, a manual installation)

However when trying to do this as an automated install with kickstart the installation basically slows down greatly , and the data on serial console chokes, sometimes a big chunk comes followed by long pause and it repeats that way. For example the command:
virt-install  --name GuestOne_nogfx --location nfs://bigpapi.bos.redhat.com:/vol/engarchive2/redhat/released/RHEL-6/6.1/Server/i386/os --ram=1024 --vcpus=1 --file-size=8 --hvm --debug --prompt --accelerate --os-variant=virtio26 --network bridge:br0 --file /var/lib/libvirt/images/GuestOne_nogfx.img --noreboot --vnc --extra-args "ks=http://lab2.rhts.eng.bos.redhat.com/cblr/svc/op/ks/system/guest-80-103.rhts.eng.bos.redhat.com console=tty0 console=ttyS0,115200"

Would take forever to install. More of then not the installation happens but the virt-install doesn't return still waiting for something. Same experience happens without the console args as well. 

This is causing issues on beaker automated tests, many tests are timing out. This started to happen in 6.1 . 


Version-Release number of selected component (if applicable):
python-virtinst-0.500.5-3.el6.noarch
libvirt-0.8.7-18.el6.x86_64


How reproducible:
Very

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 Cole Robinson 2011-10-13 18:22:27 UTC
Is this 100% reproducible? Still seeing this with latest 6.2 packages? Is this reproducible outside of rhts?

Can you provide virt-install --debug output from one of these runs, as well as /var/log/libvirt/qemu/$vmname.log?

I can't imagine what virt-install could do to make the install run slowly, so I'm guessing this is a qemu-kvm or anaconda issue.

Comment 4 Dave Allan 2011-10-18 13:57:48 UTC
Gurhan, are you still seeing this?  It seems like a serious problem, but we're going to need your assitance diagnosing what's going on.

Comment 5 Gurhan Ozen 2011-10-18 20:22:44 UTC
I am going to check it with one of the latest 6.2 trees now.
Thanks,

Comment 6 Gurhan Ozen 2011-10-18 22:53:00 UTC
This issue no longer exists with RHEL6.2-20111018.n.0 tree:
https://beaker.engineering.redhat.com/jobs/144964

Comment 7 Dave Allan 2011-10-18 23:36:46 UTC
Thanks, Gurhan.  I'm going to close as WORKSFORME, but please reopen if it reappears.  -Dave


Note You need to log in before you can comment on or make changes to this bug.